using Godot;
using System;
using System.Collections.Generic;

public partial class Action : Node
{
    public Node _target;
    public List<Trigger.On> _triggers = new();
    public List<Trigger.On> _expirations = new();
    public Node2D _owner;

    public Action(Node2D OWNER)
    {
        _owner = OWNER;
    }

    public virtual void Fire()
    {

    }

    public virtual void Target(Node TARGET)
    {
        _target = TARGET;
    }


}
